## dctrl-tools 2.9.0

=== Makefile ===

sysconfdir = /etc
localedir = /usr/share/locale
version := $(shell dpkg-parsechangelog | grep '^Version' | cut -b10-)

CC = gcc -std=gnu99
CFLAGS = -g -Wall -DENABLE_L_DEBUG -D_GNU_SOURCE -DSYSCONF=\"$(sysconfdir)\" \
         -DHAVE_GETTEXT -DPACKAGE=\"dctrl-tools\" -DLOCALEDIR=\"$(localedir)\" 

CFLAGS += -DVERSION=\"$(version)\"
CFLAGS += -DMAINTAINER='"$(shell grep ^Maintainer: debian/control | cut -b13-)"'

#CFLAGS += -DNDEBUG

#CFLAGS += -pg
#LDFLAGS += -pg

libobj = misc.o msg.o predicate.o util.o fsaf.o paragraph.o \
         fieldtrie.o rc.o strutil.o getaline.o fnutil.o para_pool.o \
	 ifile.o para_bundle.o sorter.o version.o

obj = $(libobj) grep-dctrl.o sort-dctrl.o tbl-dctrl.o
src = $(obj:.o=.c)

LDLIBS = -L. -ldctrl

# List of translated languages is given in langs.mk
include langs.mk

all :	all-no-mo mo

all-no-mo : 	grep-dctrl sort-dctrl tbl-dctrl sync-available \
		grep-dctrl.1 sort-dctrl.1

pot : po/dctrl-tools.pot

po : $(foreach f,$(langs),po/$(f).po)

mo : $(foreach f,$(langs),po/$(f).mo)

grep-dctrl : grep-dctrl.o libdctrl.a

sort-dctrl : sort-dctrl.o libdctrl.a

tbl-dctrl : tbl-dctrl.o libdctrl.a

% : %.o
	$(CC) $(LDFLAGS) -o $@ $< $(LDLIBS)

%.d: %.c
	$(CC) -M $(CPPFLAGS) $< > $@.$$$$; \
	   sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	   rm -f $@.$$$$


libdctrl.a : $(libobj)
	ar cr $@ $^
	ranlib $@

libdctrl.so : $(soobj)
	$(LD) -shared -o $@ $^ -lc $(SOLDLIBS)

%.test : %.test.o

%.test.o : %.c
	$(CC) -c $(CFLAGS) -DTESTMAIN $< -o $@

so/%.o : %.c
	$(CC) -fPIC $(CFLAGS) -c $< -o $@

%.1 : %.1.cp
	sed 's*SYSCONF*$(sysconf)*' $< > $@

sync-available : sync-available.cp
	sed 's*VERSION*$(version)*' $< > $@
	chmod 755 $@

xgettext_opts=--copyright-holder="Antti-Juhani Kaijanaho" \
	      --msgid-bugs-address="ajk@debian.org" -kN_ -k_

po/%.po : po/dctrl-tools.pot
	msgmerge -q -U --backup=existing $@ $^

po/%.mo : po/%.po
	msgfmt -c --statistics -o $@ $< 

po/dctrl-tools.pot : $(src)
	xgettext $(xgettext_opts) -d grep-dctrl $^
	mv grep-dctrl.po $@

fsaf.test : fsaf.test.o msg.o

clean :
	$(RM) core grep-dctrl grep-dctrl.1 *.o so/*.o libdctrl.a libdctrl.so
	$(RM) po/*.mo TAGS *.d
	$(RM) sync-available

distclean : clean

maintainer-clean : distclean
	$(RM) po/*.pot

tags :
	etags *.[hc]

include $(obj:.o=.d)

=== debian/changelog ===
dctrl-tools (2.9.0) unstable; urgency=low

  * grep-dctrl.c: Add switch -S as a shorthand for -FSource:Package
    Closes: #278815 (Please provide -S = source)
    Reported by Andreas Barth <aba@not.so.argh.org>
  * Add the ability to specify "backup fields" in grep-dctrl
    Closes: #355960 (please provide option to take values for missing fields
    from other fields)
    Reported by Adeodato Simó <dato@net.com.org.es>.
  * Makefile: Split all target into all and all-no-mo
  * tbl-dctrl.1: fix typo
    Closes: #359165 ('man tbl-dctrl' typo: "fnction")
    Reported by: A Costa <agcosta@gis.net>
  * grep-dctrl.c: Add copyright years 2005, 2006
  * grep-dctrl.1.cp: Clarify SYNOPSIS
  * grep-dctrl.{c,1.cp}: Add the option '--pattern'
    Closes: #359318 (Unable to specify a pattern that begins with '-')
    Reported by James Vega <jamessan@debian.org>
  * {grep,tbl,sort}-dctrl.c: convert OPT_* defines to an anonymous enum
  * para_bundle.c (bundle_slurp): don't kill the fsaf
    Closes: #360139 (sort-dctrl and tbl-dctrl junk the first line)
    Reported by Gerfried Fuchs <alfie@debian.org>
  * po/README.Translators: note Rosetta
  * debian/postinst.grep-dctrl: remove the XSI-ism of -a in test.
  * Add UNRELEASED 2.8.2 to changelog
  * po/de.po: Update by Gerfried Fuchs <alfie@debian.org>.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  3 Apr 2006 00:38:56 +0300

dctrl-tools (2.8.1) unstable; urgency=low

  * Move to unstable.
  * tbl-dctrl.c, sort-dctrl: Remove the useless (and broken) options
    -q and --silent
    Closes: #326662 (tbl-dctrl --help output lies about options)
    Reported by Frank Lichtenheld <djpig@debian.org>.
  * Closes: #348540 (grep-dctrl: stores whole input in memory)
    Reported by Christoph Berg <myon@debian.org>.
    - fsaf.c: Prefer reusing the current buffer instead of enlarging it,
      when not using mmap(2).
    - fsaf.h,fsaf.c: Fix invalidation for non-mmap buffers.
  * fsaf.h,fsaf.c: Make it possible to turn off mmapping.
  * fsaf.h,fsaf.c: Preallocate a 64KB buffer when not mmapping.
  * grep-dctrl.c,sort-dctrl.c,tbl-dctrl.c:
    Make mmap optional (defaults to no mmapping; new option --mmap).
  * debian/{rules,postinst.grep-dctrl}: Remove an empty
    /usr/share/doc/grep-dctrl directory at configure
    Closes: #353533 (Empty /usr/share/doc/grep-dctrl directory)
    Reported by: Martin Orr <martin@martinorr.name>.
  * grep.dctrl.c,sort-dctrl.c: Use arg, not optarg in parse_opt.
    Closes: #344087 (grep-dctrl: segfaults with -l options)
    Reported (with patch) by: Vincent Fourmond <vincent.fourmond@9online.fr>.
  * paragraph.[ch]: Track line numbers and improve error messages.
    Closes: #354471 (grep-dctrl should include file and line info in errors)
    Reported by Greg Ward <gward-debian@python.net>.
  * grep-dctrl.1.cp: Some manual page simplifications following Manoj's
    suggestions (probably still needs work, though)
    See #325169 (grep-dctrl: Man page improvements)
    Reported by Manoj Srivastava <srivasta@golden-gryphon.com>.
  * paragraph.[ch]: Make it possible to ignore paragraph parse errors.
      + para_bundle.c, tbl-dctrl.c, grep-dctrl.c: related fixes
  * grep-dctrl.c,grep-dctrl.1.cp: New option --ignore-parse-errors
    Closes: #205044 (grep-dctrl parser is stricter than before)
    Reported by Blars Blarson <blarson@blars.org>.
  * po/ca.po: Update by Jordi Mallach <jordi@debian.org>, closes: #349507.
  * fsaf.c (fsaf_read): Return early if returning null. (Fixes assertion
    failures in cases where the field being searched is not present.)
  * Makefile: Don't clean pot file when cleaning.
  * Makefile: Add distclean and maintainer-clean targets.
  * Translation update from Rosetta (2006-03-25):
     - Catalan by Jordi Mallach
     - Finnish by myself
     - Brazilian Portuguese by Mauricio Bomfim Cruz Vieira.
  * debian/control [Standards-Version]: Upgrade to 3.6.2, no additional
    changes required.
  * debian/copyright: Update.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 25 Mar 2006 11:34:07 +0200

dctrl-tools (2.8) experimental; urgency=low

  * Merge 2.6.7 (no po/ merge).
  * New program tbl-dctrl.
    Closes: #191144 (Would be great if it could print desired field values
                     all in one line, per package)
    [Reported by Carlos Sousa]
  * tbl-dctrl.1: New manpage.
  * Give FSAF objects knowledge of the file name, so that we know which
    file each paragraph came from.
  * para_bundle.c (bundle_slurp): The correct error sentinel for file
    descriptors is -1, not 0.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 21 Jul 2005 21:32:42 +0300

dctrl-tools (2.7) experimental; urgency=low

  * Merge 2.6.0.
  * Merge 2.6.1.
  * Merge 2.6.2.
  * Merge 2.6.3.
  * Merge 2.6.4.
  * Merge 2.6.5.
  * Merge 2.6.6.
  * Rename source and binary package to dctrl-tools.
  * debian/{rules,control}: Generate an empty transition package for
    grep-dctrl.
  * Makefile, debian/rules, sort-dctrl.c: New program sort-dctrl.
  * Makefile: Rearrange build system so that most objects are
    put in a static library, which the binaries are linked against.
  * Refactor a lot to allow several programs share the backbone code.
  * New program sort-dctrl.
  * New manual page sort-dctrl(1).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  9 Jun 2005 00:40:13 +0300

grep-dctrl (2.6.7) unstable; urgency=low

  * fr.po: Update by Nicolas Bertolissio.
    Closes: #314893 (French translation update of gettext debconf template)
    (Nothing to do with debconf regardless of the bug title)
  * msg.h: Fix progname type.
    Closes: #314601 (FTBFS (amd64/gcc-4.0): conflicting types for 'progname')
    [Reported by Andreas Jochens]
  * grep-dctrl.1.cp: Fix "preceding" typo.
    Closes: #311032 *'man grep-dctrl' typo: "predecing")
    [Reported by A Costa]
  * sync-available.8: Miscellaneous fixes.
    Closes: #312630 (sync-available(8) thinks it is update-avail(8))
    [Reported by Antti-Juhani Kaijanaho]


=== debian/control ===
Source: dctrl-tools
Section: utils
Priority: optional
Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
Standards-Version: 3.6.2
Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0)

Package: dctrl-tools
Architecture: any
Depends: ${shlibs:Depends}
Suggests: apt
Conflicts: grep-dctrl (<< 2.7)
Replaces: grep-dctrl (<< 2.7)
Description: Command-line tools to process Debian package information
 Debian package information is generally stored in files having a
 special file format, dubbed the Debian control file format (the dctrl
 format), a special case of the record jar file format.  These tools
 operate on any files conforming in a general sense to that format and
 are therefore widely applicable whenever those formats are in play.
 .
 Included are:
 .
   grep-dctrl     - Grep dctrl-format files
   grep-available - Grep the DPKG available database
   grep-status    - Grep the DPKG status database
   grep-aptavail  - Grep the APT available database
 .
   sort-dctrl     - Sort dctrl-format files
 .
   tbl-dctrl      - Tabularize dctrl-format files
 . 
   sync-available - Sync the dpkg available database with
                    the apt database

Package: grep-dctrl
Architecture: all
Depends: dctrl-tools (= ${Source-Version})
Description: Grep Debian package information - transition package
 The grep-dctrl program is provided by the dctrl-tools package.  This
 package is available to ease the transition.  You can safely remove
 this package when no other package depends on it.
 .
 The grep-dctrl program can answer such questions as
   * "What is the Debian package foo?"
   * "Which version of the Debian package bar is now current?"
   * "Which Debian packages does John Doe maintain?"
   * "Which Debian packages are somehow related to the Scheme
      programming language?"
 and with some help
   * "Who maintain the essential packages of a Debian system?"
 given a useful input file. 
 .
 It is a specialised grep program that is meant for processing any
 file which has the general format of a Debian package control file.
 These include the dpkg available file, the dpkg status file, and the
 Packages files on a distribution medium (such as a Debian CD-ROM or
 an FTP site carrying Debian).
 .
 The specializations grep-status, grep-available and grep-aptavail,
 which take their input by default from the dpkg status file, the dpkg
 available file (updated by dselect update, but see below) and the apt
 available database (updated by apt-get update), respectively.  The
 grep-available specialization is useful mainly to users of dselect or
 apt, while grep-aptavail only works if apt is installed.
 .
 A script, sync-available, which syncs the dpkg available file to the
 apt available database without requiring dselect, is provided.

=== debian/rules ===
#!/usr/bin/make -f
# Written by Antti-Juhani Kaijanaho <ajk@debian.org>.  
# You may treat this file as if it were in the public domain.

librules_interface = 2
librules_native_pkg=yes
include debian/librules.mk

include langs.mk

debian/stamp/build: #debian/stamp/build-configure
	$(MAKE)
	touch $@

#debian/stamp/build-configure:
#	./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share
#	touch $@

clean-build:
	-$(MAKE) clean

debian/stamp/binary/indep: debian/stamp/binary/grep-dctrl

debian/stamp/binary/arch: debian/stamp/binary/dctrl-tools

# Generate an empty package
# (a doc symlink is still required)
debian/stamp/binary/grep-dctrl: package=grep-dctrl
debian/stamp/binary/grep-dctrl: debian/stamp/build
	$(RM) -r $(rootdir)
	$(install_dir) $(ctldir)
	$(install_postinst)
	$(install_dir) $(rootdir)/usr/share/doc
	$(install_symlink) dctrl-tools $(docdir)
	chmod -R g-s $(rootdir)
	dpkg-gencontrol -isp -p$(package) -P$(rootdir) $(gencontrol_options)
	dpkg --build $(rootdir) ..

aliases = grep-status grep-available grep-aptavail

debian/stamp/binary/dctrl-tools: package=dctrl-tools
debian/stamp/binary/dctrl-tools: debian/stamp/build
	$(prebinary)
#	Install by the master makefile
#	$(MAKE) prefix=$(rootdir)/usr sysconfdir=$(rootdir)/etc \
#	  mandir=$(mandir) install
#	Install configuration file
	$(install_dir) $(etcdir)
	$(install_nonex) grep-dctrl.rc $(etcdir)
#	Install the binaries.
	$(install_dir) $(sbindir)
	$(install_script) sync-available $(sbindir)
	$(install_dir) $(bindir)
	$(install_exec) tbl-dctrl $(bindir)
	$(install_exec) sort-dctrl $(bindir)
	$(install_exec) grep-dctrl $(bindir)
	set -e ; for dest in $(aliases) ; do \
	   $(install_symlink) grep-dctrl $(bindir)/$$dest ; \
	 done
#	Install and zip the manual pages.
	$(install_dir) $(man8dir)
	$(install_nonex) sync-available.8 $(man8dir)/
	$(gzip) $(man8dir)/sync-available.8
	$(install_dir) $(man1dir)
	$(install_nonex) sort-dctrl.1 $(man1dir)/
	$(gzip) $(man1dir)/sort-dctrl.1
	$(install_nonex) tbl-dctrl.1 $(man1dir)/
	$(gzip) $(man1dir)/tbl-dctrl.1
	$(install_nonex) grep-dctrl.1 $(man1dir)/
	$(gzip) $(man1dir)/grep-dctrl.1
	set -e ; for dest in $(aliases) ; do \
	   $(install_symlink) grep-dctrl.1.gz $(man1dir)/$$dest.1.gz ; \
	 done
#	Install the supporting documentation.
	$(install_nonex) TODO Compatibility $(docdir)
	$(install_nonex) debian/README $(docdir)/README.Debian
#	Install message catalogues
	set -e ; for lang in $(langs) ; do \
		$(install_dir) $(rootdir)/usr/share/locale/$$lang/LC_MESSAGES ; \
		$(install_nonex) po/$$lang.mo \
		  $(rootdir)/usr/share/locale/$$lang/LC_MESSAGES/$(package).mo ; \
	done
#	Install config file information
	$(install_nonex) debian/conffiles $(rootdir)/DEBIAN
#	Get the shared library deps
	dpkg-shlibdeps $(bindir)/grep-dctrl $(bindir)/sort-dctrl
	$(postbinary)
	touch $@

clean-binary:
	$(RM) *~

## dctrl-tools 2.9.3

=== Makefile ===
--- 
+++ 
@@ -103,4 +103,9 @@
 tags :
 	etags *.[hc]
 
+ifeq ($(MAKECMDGOALS),clean)
+else ifeq ($(MAKECMDGOALS),distclean)
+else ifeq  ($(MAKECMDGOALS),maintainer-clean)
+else
 include $(obj:.o=.d)
+endif

=== debian/changelog ===
dctrl-tools (2.9.3) unstable; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * debian/control: Add XS-Vcs-Darcs field
  * Translation updates from Rosetta (etch branch)
      - Catalan update by Jordi Mallach
      - Brazilian Portuguese update by Mauricio Bomfim Cruz Vieira
      - Swedish update by Daniel Nylander
  * New Czech translation
    Closes: #396994 (Czech translation of dctrl-tools)
    Submitted by Miroslav Kure <kurem@upcase.inf.upol.cz>.
  * New Spanish translation
    Closes: #396807 (New spanish translation)
    Submitted by Javier Fernández-Sanguino Peña <jfs@computer.org>
  * New Russian translation
    Closes: #396584 ([INTL:ru] Russian program translation)
    Submitted by Yuri Kozlov <kozlov.y@gmail.com>.
  * po/vi.po: New Vietnamese translation by Clytie Siddall
    Closes: #396308 ([INTL:vi] Vietnamese program translation)
    Reported by Clytie Siddall.
  
  [ Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp> ]
  * Add Japanese translation.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  6 Nov 2006 11:49:16 +0200

dctrl-tools (2.9.2) unstable; urgency=low

  * po/fi.po: updated
  * Translation update from Rosetta (Ubuntu Edgy branch)
    - en_GB: new translation by Jeff Bailes
    - pt_BR: merged in work by Washington Lins
    - sv: merged in work by Daniel Nylander
    Merge techique (msgcat --use-first) suggested by Jordi Mallach.
  * delete  ./grep-dctrl-2.6.4-2.6.5.diff

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 28 Oct 2006 21:42:20 +0300

dctrl-tools (2.9.1) unstable; urgency=low

  [ Gerfried Fuchs ]  
  * bring german po file up2date again
  
  [ Antti-Juhani Kaijanaho ]
  * Makefile: don't include dependencies if cleaning
  * grep-dctrl.1.cp: -P is not a modifier
  * debian/control: grep-dctrl dependency on dctrl-tools need not be versioned
    Thanks to Mark Hymers for pointing this out.
  * debian/control: Correct typo in dctrl-tools description
    Closes: #363230 (Spelling mistake in package description)
    Reported by Simon Waters <simon@technocool.net>.
  * grep-dctrl.1.cp: correct an escaping error
    Closes: #377216 (grep-dctrl: manpage needs more escapting)
    Reported by Justin Pryzby <justinpryzby@users.sourceforge.net>.
  * po/fr.po: Updated by Frédéric Bothamy <frederic.bothamy@free.fr>
    Closes: #361921 (French program translation update)
    Reported by Frédéric Bothamy <frederic.bothamy@free.fr>
  * paragraph.c (para_parse_next): Fix off-by-one errors in line numbers
    Closes: #365795 (grep-dctrl miscounts lines in error messages)
    Reported by Greg Ward <gward-debian@python.net>.
  * Translation update from Rosetta:
    - new partial Polish translation by Simek
    - new partial Swedish translation by Daniel Nylander
    - Catalan update by Jordi Mallach
    - ignored French update by Nicolas Vein, preferring bug#361921
  * debian/rules: run dpkg-shlibdeps on tbl-dctrl too
  * debian/control (Standards-Version): 3.7.2, no changes required
  
 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 13 Oct 2006 21:44:15 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0)
+XS-Vcs-Darcs: http://antti-juhani.kaijanaho.fi/darcs/dctrl-tools/
 
 Package: dctrl-tools
 Architecture: any
@@ -27,14 +28,14 @@
  .
    sort-dctrl     - Sort dctrl-format files
  .
-   tbl-dctrl      - Tabularize dctrl-format files
+   tbl-dctrl      - Tabulate dctrl-format files
  . 
    sync-available - Sync the dpkg available database with
                     the apt database
 
 Package: grep-dctrl
 Architecture: all
-Depends: dctrl-tools (= ${Source-Version})
+Depends: dctrl-tools
 Description: Grep Debian package information - transition package
  The grep-dctrl program is provided by the dctrl-tools package.  This
  package is available to ease the transition.  You can safely remove

=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,9 @@
 #	Install config file information
 	$(install_nonex) debian/conffiles $(rootdir)/DEBIAN
 #	Get the shared library deps
-	dpkg-shlibdeps $(bindir)/grep-dctrl $(bindir)/sort-dctrl
+	dpkg-shlibdeps $(bindir)/grep-dctrl \
+		       $(bindir)/sort-dctrl \
+                       $(bindir)/tbl-dctrl
 	$(postbinary)
 	touch $@

## dctrl-tools 2.9.3build1

=== debian/changelog ===
dctrl-tools (2.9.3build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:14:52 +0000

## dctrl-tools 2.11

=== debian/changelog ===
dctrl-tools (2.11) unstable; urgency=low

  * new program join-dctrl
    Closes: #136097 (grep-dctrl: Merging status and available would be helpful)
    Requested by Ben Armstrong <synrg@sanctuary.nslug.ns.ca>.
  * Update copyright lines
  * debian/rules: typo fix
  * Compatibility: remove (out of date, duplicates manpage information)
  * NEWS: delete (out of date)
  * README: delete (out of date and useless)
  * AUTHORS: delete (out of date and hard to keep up to date)
  * debian/README: update
  * debian/changelog: start 2.11
  * grep-dctrl/grep-dctrl.c: fix GET_BACKUP_FIELD for (size_t)-1
    on machines where sizeof(int) != sizeof(size_t)
  * export para_compare from lib/sorter.[ch]
  * GNUmakefile (test): call tester.sh using sh explicitly

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 05 Aug 2007 21:06:22 +0300

dctrl-tools (2.10) experimental; urgency=low

  * debian/changelog: merge in 2.9.3
  * delete  ./grep-dctrl-2.6.4-2.6.5.diff
  * create lib/, man/ and $(program)/
  * GNUmakefile: miscellaneous fixes
  * GNUmakefile. ifile.c: start using -Werror, fix one warning
  * tests/0005: another simple test
  * grep-dctrl: new option --invert-show (-I)
    Closes: #144174 (please provide a --filter-fields option of some sort)
    Reported by Yann Dirson <dirson@debian.org>
    Merged with #264905 (show all fields except FIELD,FIELD,...)
    Reported by Dan Jacobson <jidanni@jidanni.org>
  * tests/0003.{sh,out}: another basic test
  * tests/0002.{sh,out}: new basic test
  * paragraph.c (para_parse_next): fix outdated assertion
  * GNUmakefile (clean): fix reference to grep-dctrl.1
  * man/sort-dctrl.1: make literal (previously generated)
  * GNUmakefile: sysconf is now sysconfdir, fix a reference
    Closes: #414979 (typo in manpage: reference to global config file is wrong)
    Reported by Tomas Pospisek <tpo_deb@sourcepole.ch>
  * Makefile: rename as GNUmakefile
  * Makefile (clean): fix reference to sync-available
  * tests/bug360139.{sh,out}: new test case
  * begin a new test suite
    - Makefile: new target 'test'
    - tester.sh: new file
    - tests: new directory
    - tests/0001.*: new files - a simple basic test case
    - debian/rules: run the test suite (ignoring any failures) at build time
  * drop the transitional grep-dctrl package
  * tbl-dctrl: new option '-H'
    Closes: #326660 (Please add option to tbl-dctrl to not print any title)
    Reported by Frank Lichtenheld <djpig@debian.org>.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  8 Apr 2007 19:06:18 +0300

=== debian/control ===
Source: dctrl-tools
Section: utils
Priority: optional
Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
Standards-Version: 3.7.2
Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0)
XS-Vcs-Darcs: http://antti-juhani.kaijanaho.fi/darcs/dctrl-tools/

Package: dctrl-tools
Architecture: any
Depends: ${shlibs:Depends}
Suggests: apt
Conflicts: grep-dctrl
Replaces: grep-dctrl
Provides: grep-dctrl
Description: Command-line tools to process Debian package information
 Debian package information is generally stored in files having a
 special file format, dubbed the Debian control file format (the dctrl
 format), a special case of the record jar file format.  These tools
 operate on any files conforming in a general sense to that format and
 are therefore widely applicable whenever those formats are in play.
 .
 Included are:
 .
   grep-dctrl     - Grep dctrl-format files
   grep-available - Grep the DPKG available database
   grep-status    - Grep the DPKG status database
   grep-aptavail  - Grep the APT available database
 .
   sort-dctrl     - Sort dctrl-format files
 .
   tbl-dctrl      - Tabulate dctrl-format files
 . 
   sync-available - Sync the dpkg available database with
                    the apt database

=== debian/rules ===
#!/usr/bin/make -f
# Written by Antti-Juhani Kaijanaho <ajk@debian.org>.  
# You may treat this file as if it were in the public domain.

librules_interface = 2
librules_native_pkg=yes
include debian/librules.mk

include langs.mk

debian/stamp/build: #debian/stamp/build-configure
	$(MAKE)
	-$(MAKE) test
	touch $@

#debian/stamp/build-configure:
#	./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share
#	touch $@

clean-build:
	-$(MAKE) clean

debian/stamp/binary/arch: debian/stamp/binary/dctrl-tools

aliases = grep-status grep-available grep-aptavail

debian/stamp/binary/dctrl-tools: package=dctrl-tools
debian/stamp/binary/dctrl-tools: debian/stamp/build
	$(prebinary)
#	Install by the master makefile
#	$(MAKE) prefix=$(rootdir)/usr sysconfdir=$(rootdir)/etc \
#	  mandir=$(mandir) install
#	Install configuration file
	$(install_dir) $(etcdir)
	$(install_nonex) grep-dctrl/grep-dctrl.rc $(etcdir)
#	Install the binaries.
	$(install_dir) $(sbindir)
	$(install_script) sync-available/sync-available $(sbindir)
	$(install_dir) $(bindir)
	$(install_exec) join-dctrl/join-dctrl $(bindir)
	$(install_exec) tbl-dctrl/tbl-dctrl $(bindir)
	$(install_exec) sort-dctrl/sort-dctrl $(bindir)
	$(install_exec) grep-dctrl/grep-dctrl $(bindir)
	set -e ; for dest in $(aliases) ; do \
	   $(install_symlink) grep-dctrl $(bindir)/$$dest ; \
	 done
#	Install and zip the manual pages.
	$(install_dir) $(man8dir)
	$(install_nonex) man/sync-available.8 $(man8dir)/
	$(gzip) $(man8dir)/sync-available.8
	$(install_dir) $(man1dir)
	$(install_nonex) man/sort-dctrl.1 $(man1dir)/
	$(gzip) $(man1dir)/sort-dctrl.1
	$(install_nonex) man/tbl-dctrl.1 $(man1dir)/
	$(gzip) $(man1dir)/tbl-dctrl.1
	$(install_nonex) man/join-dctrl.1 $(man1dir)/
	$(gzip) $(man1dir)/join-dctrl.1
	$(install_nonex) man/grep-dctrl.1 $(man1dir)/
	$(gzip) $(man1dir)/grep-dctrl.1
	set -e ; for dest in $(aliases) ; do \
	   $(install_symlink) grep-dctrl.1.gz $(man1dir)/$$dest.1.gz ; \
	 done
#	Install the supporting documentation.
	$(install_nonex) TODO $(docdir)
	$(install_nonex) debian/README $(docdir)/README.Debian
#	Install message catalogues
	set -e ; for lang in $(langs) ; do \
		$(install_dir) $(rootdir)/usr/share/locale/$$lang/LC_MESSAGES ; \
		$(install_nonex) po/$$lang.mo \
		  $(rootdir)/usr/share/locale/$$lang/LC_MESSAGES/$(package).mo ; \
	done
#	Install config file information
	$(install_nonex) debian/conffiles $(rootdir)/DEBIAN
#	Get the shared library deps
	dpkg-shlibdeps $(bindir)/grep-dctrl \
		       $(bindir)/sort-dctrl \
                       $(bindir)/tbl-dctrl \
                       $(bindir)/join-dctrl
	$(postbinary)
	touch $@

clean-binary:
	$(RM) *~

## dctrl-tools 2.12

=== debian/changelog ===
dctrl-tools (2.12) unstable; urgency=low

  * Switched to git for source control.
  * make sort-dctrl read stdin if no file arguments are given
    Closes: #440348 (sort-dctrl outputs nothing if input is a pipe)
    Reported by Antti-Juhani Kaijanaho <ajk@debian.org>.
  * French translation update, closes: #442330
  * Provide a grep-debtags alias that sources debtags dumpavail.
    Closes: #423375
    (Add a grep-tags or grep-debtags that gets data from debtags dumpavail)
    Reported by Enrico Zini <enrico@debian.org>
  * po/README.Translators: Rosetta is not an option
  * po/README.Translators: misc fixes

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 28 Oct 2007 00:17:47 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0)
-XS-Vcs-Darcs: http://antti-juhani.kaijanaho.fi/darcs/dctrl-tools/
+XS-Vcs-Git: http://git.debian.org/git/collab-maint/dctrl-tools.git
+XS-Vcs-Browser: http://git.debian.org/?p=collab-maint/dctrl-tools.git;a=summary
 
 Package: dctrl-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 debian/stamp/binary/arch: debian/stamp/binary/dctrl-tools
 
-aliases = grep-status grep-available grep-aptavail
+aliases = grep-status grep-available grep-aptavail grep-debtags
 
 debian/stamp/binary/dctrl-tools: package=dctrl-tools
 debian/stamp/binary/dctrl-tools: debian/stamp/build

## dctrl-tools 2.12ubuntu1

=== debian/changelog ===
dctrl-tools (2.12ubuntu1) intrepid; urgency=low

  * Backport from Debian (Antti-Juhani Kaijanaho, LP: #211470):
    - sync-available/sync-available.cp: Use id -u, not $EUID, which is a bashism
      closes: #457788 (error in sync-available when /bin/sh links to /bin/dash)
      Reported by arno renevier <arenevier@fdn.fr>

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2008 21:14:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dctrl-tools
 Section: utils
 Priority: optional
-Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0)
 XS-Vcs-Git: http://git.debian.org/git/collab-maint/dctrl-tools.git

## dctrl-tools 2.13.1

=== debian/changelog ===
dctrl-tools (2.13.1) unstable; urgency=low

  [ Gerfried Fuchs ]  
  * Czech translation update received from Miroslav Kure, thanks.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 06 Jan 2009 16:19:48 +0200

dctrl-tools (2.13.0) unstable; urgency=low

  [ Jon Bernard ]
  * grep-dctrl/grep-dctrl.c: don't display a field with an empty value,
    closes: #264907
  * tests/0006.out: remove "Version: ", no output is expected with the above
    change.

  [ Antti-Juhani Kaijanaho ]
  * debian/control: suggest debtags, note grep-debtags in description
    closes: #488292 (add debtags to Suggests)
    Reported by jidanni@jidanni.org.
  * lib/paragraph (para_parse_next): Performance improvements.
  * debian/control: Rename XS-Vcs-{Git,Browser} fields to Vcs-{Git,Browser};
    also use the Git protocol instead of HTTP
  * sync-available/sync-available.cp: Use id -u, not $EUID, which is a bashism
    closes: #457788 (error in sync-available when /bin/sh links to /bin/dash)
    Reported by arno renevier <arenevier@fdn.fr>
  * debian/control: Make team maintenance official.
  * debian/README: Remove my veto from procedures.
  * po/fi.po: Update
  * man/{join,tbl}-dctrl.1: Fix man syntax errors.
  * debian/control [Standards-Version]: Now 3.8.0.
  * debian/rules [clean-build]: Do not ignore make clean errors.
  
  [ Gerfried Fuchs ]  
  * german po file update

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 04 Jul 2008 19:12:08 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: dctrl-tools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
-Standards-Version: 3.7.2
+Maintainer: dctrl-tools developers <dctrl-tools-devel@lists.alioth.debian.org>
+Uploaders: Antti-Juhani Kaijanaho <ajk@debian.org>,
+           Jon Bernard <jbernard@debian.org>
+Standards-Version: 3.8.0
 Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0)
-XS-Vcs-Git: http://git.debian.org/git/collab-maint/dctrl-tools.git
-XS-Vcs-Browser: http://git.debian.org/?p=collab-maint/dctrl-tools.git;a=summary
+Vcs-Git: git://git.debian.org/git/collab-maint/dctrl-tools.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/dctrl-tools.git;a=summary
 
 Package: dctrl-tools
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: apt
+Suggests: apt, debtags
 Conflicts: grep-dctrl
 Replaces: grep-dctrl
 Provides: grep-dctrl
@@ -28,6 +29,7 @@
    grep-available - Grep the DPKG available database
    grep-status    - Grep the DPKG status database
    grep-aptavail  - Grep the APT available database
+   grep-debtags   - Grep the Debtags package database
  .
    sort-dctrl     - Sort dctrl-format files
  .

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include langs.mk
 
 debian/stamp/build: #debian/stamp/build-configure
-	$(MAKE)
+	$(MAKE) CC=gcc CFLAGS="-O2 -g -Wall"
 	-$(MAKE) test
 	touch $@
 
@@ -18,7 +18,7 @@
 #	touch $@
 
 clean-build:
-	-$(MAKE) clean
+	$(MAKE) clean
 
 debian/stamp/binary/arch: debian/stamp/binary/dctrl-tools

## dctrl-tools 2.14

=== debian/changelog ===
dctrl-tools (2.14) unstable; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * Merge  2.13.1.
  * Update standards-version to 3.8.3.  No related changes.
  * grep-dctrl/rc.c, lib/msg.c: Recode to UTF-8
  * lib/msg.c: Remove (obsolete) snail mail and email addresses for me.
  * */*.[ch]: Use the copyright symbol instead of (c) or (C).
  * msg.[ch] (and others): allow the message functions to handle format strings
  * tbl-dctrl.c [linewrap]: Clarify.
  * tbl-dctrl.c [linewrap]: Do not include the breakpoint in the next line.
    Closes: #508953 (when greping through source packages, 
                     tbl-control can't list Files
    Reported by Gerfried Fuchs <rhonda@debian.at>.
  * tests/bug506138.{sh,out}: New test case.
  * grep-dctrl.c [apptok]: Forbid mixing the predicate and input files.
    It never worked, anyway.
    Closes: #506138 (Segfault when calling with wrong order of parameters)
    Reported by Marco Túlio Gontijo e Silva <marcot@holoscopio.com>.
  * join-dctrl/join-dctrl.c: Avoid a compiler warning by initializing
    a local variable.
  * lib/paragraph.c, grep-dctrl/grep-dctrl.c, sort-dctrl/sort-dctrl.c,
    tests/bug511022.{sh.in,out}:
    The whole paragraph no longer includes the final newline.
    Closes: #511022 (the full paragraph should not include its final newline)
    Reported by: Loïc Minier <lool@dooz.org>
  * GNUmakefile, debian/rules: clean backup files and .d files in subdirs too
    Closes: #511081 (.d files do not belong in the source package)
    Reported by: Adeodato Simó
  * sort-dctrl/sort-dctrl: Fix -k parsing bug (don't just repeat the first
    key...)
    Closes: #559543 (doesn't take into account secondary sorting criteria)
    Reported by: Ryan Niebur <ryan@debian.org>
  * lib/paragraph.c (para_parse_next): parse comment lines that start with
    unindented '#'-characters (they are not removed semantically, though)
    Closes: #521006 (support #-comments)
  
  [ Stefano Zacchiroli ]
  * grep-dctrl: add new matching mode --whole-pkg/-w: it is an improved -e
    matching exact package names, i.e., no sub-string matching on package
    names. Closes: #383921

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 05 Dec 2009 13:22:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: dctrl-tools developers <dctrl-tools-devel@lists.alioth.debian.org>
 Uploaders: Antti-Juhani Kaijanaho <ajk@debian.org>,
            Jon Bernard <jbernard@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0)
 Vcs-Git: git://git.debian.org/git/collab-maint/dctrl-tools.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dctrl-tools.git;a=summary

## dctrl-tools 2.14.5

=== debian/changelog ===
dctrl-tools (2.14.5) unstable; urgency=low

  * po/es.po: Updated by Javier Fernández-Sanguino Peña (closes: #599858)
  * po/ca.po: Updated by Jordi Mallach (closes: #601122)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 24 Oct 2010 20:57:11 +0300

dctrl-tools (2.14.4) unstable; urgency=low

  * po/vi.po: Updated by Clytie Siddall (closes: #598494)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 09 Oct 2010 10:31:59 +0300

dctrl-tools (2.14.3) unstable; urgency=low

  * po/sv.po: Updated by Martin Bagge (closes: #597013)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 26 Sep 2010 14:42:53 +0300

dctrl-tools (2.14.2) unstable; urgency=low

  * po/pt_BR.po: Updated by Maurício Vieira.
  * po/en_GB.po: Updated by Jeff Bailes.
  * po/ca.po: Updated by Agusti Grau.
  * po/cs.po: Updated by Miroslav Kure (closes: #595513).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 10 Sep 2010 19:38:32 +0300

dctrl-tools (2.14.1) unstable; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * grep-dctrl: Make a help string more comprehensible
  * po/fi.po: Updated translation.
  * Further Russian translation update from Yuri Kozlov (closes: #593240)
  * French translation updated by David Prévot (closes: #593990)
  * Standards-Version updated to 3.9.1 with no packaging changes.
  
  [ Gerfried Fuchs ]
  * Russian translation updated by Yuri Kozlov (closes: #513026)
  * German translation updated by myself.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 23 Aug 2010 21:08:39 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: dctrl-tools developers <dctrl-tools-devel@lists.alioth.debian.org>
 Uploaders: Antti-Juhani Kaijanaho <ajk@debian.org>,
            Jon Bernard <jbernard@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0)
 Vcs-Git: git://git.debian.org/git/collab-maint/dctrl-tools.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dctrl-tools.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -80,4 +80,4 @@
 	touch $@
 
 clean-binary:
-	$(RM) *~
+	$(RM) *~ */*~

## dctrl-tools 2.14.5%2bmaemo1%2b0m6

=== debian/changelog ===
dctrl-tools (2.14.5+maemo1+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2.14.5+maemo1+0m6

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 22 Nov 2010 09:51:11 +0200

dctrl-tools (2.14.5+maemo1) unstable; urgency=low

  * Rebased to 2.14.5.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 22 Nov 2010 09:50:32 +0200

dctrl-tools (2.14.2+maemo1) unstable; urgency=low

  * Rebased to 2.14.2.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 23 Sep 2010 09:35:25 +0300

dctrl-tools (2.14.1+maemo1) unstable; urgency=low

  * Rebased to 2.14.1.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 13 Sep 2010 12:09:02 +0300

dctrl-tools (2.14+maemo2) unstable; urgency=low

  * Removed sanitization \o/

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 19 May 2010 18:31:30 +0300

dctrl-tools (2.14+maemo1) unstable; urgency=low

  * Initial import into Maemo.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 13 Apr 2010 15:17:55 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: dctrl-tools
 Section: utils
 Priority: optional
-Maintainer: dctrl-tools developers <dctrl-tools-devel@lists.alioth.debian.org>
+Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
+XSBC-Original-Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
+Origin: maemo
 Uploaders: Antti-Juhani Kaijanaho <ajk@debian.org>,
            Jon Bernard <jbernard@debian.org>
 Standards-Version: 3.9.1
-Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0)
-Vcs-Git: git://git.debian.org/git/collab-maint/dctrl-tools.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/dctrl-tools.git;a=summary
+Build-Depends: build-essential, ed, gawk, diff, gettext (>= 0.11-0), gcc (>= 3.0), maemo-optify
+Vcs-Browser: http://gitorious.org/maemo-pkg/dctrl-tools
+Vcs-Git: git@gitorious.org:maemo-pkg/dctrl-tools.git
 
 Package: dctrl-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -81,3 +81,7 @@
 
 clean-binary:
 	$(RM) *~ */*~
+
+override_dh_gencontrol:
+	dh_gencontrol
+	maemo-optify

## dctrl-tools 2.18

=== debian/changelog ===
dctrl-tools (2.18) unstable; urgency=low

  * debian/rules: Override prefix and sysconfdir even for building
    Closes: #607359 (doesn't read /etc/grep-dctrl.rc)
    Reported by Jakub Wilk <jwilk@debian.org>
    Closes: #611596 (experimental's version of grep-dctrl doesn't grep anything)
    Reported by Rogério Brito <rbrito@ime.usp.br>
  * Upload to unstable.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 06 Feb 2011 11:18:33 +0200

dctrl-tools (2.17) experimental; urgency=low

  * Merge 2.14.3, 2.14.4, and 2.14.5.
  * Removed Jon Bernard <jbernard@debian.org> from uploaders
    (no uploads in two years; seems to have left the team mailing list)
  * Moved detailed installation from debian/rules to GNUmakefile
  * Moved debian/README to ./README
  * changed from my own build system to Debhelper v8 (dh).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 04 Dec 2010 20:41:30 +0200

dctrl-tools (2.16) experimental; urgency=low

  * Merge 2.14.2
  * tbl-dctrl: Figure out the fields from the input if no '-c' is given.
    Closes: #596424 reported by myself

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 11 Sep 2010 22:45:04 +0300

dctrl-tools (2.15) experimental; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * tbl-dctrl: Fix field line length detection for multi-line fields
    - Reported by Gerfried Fuchs <rhonda@debian.at> out of band.
  * tbl-dctrl (linewrap): Force a line break where the field has one.
  * Update FSF address in license blurbs all over the source tree.
  * debian/copyright: Update copyright years
  * Merge 2.14.1
  * lib/paragraph.c (para_parse_next): Fix line counting.
  * convert to source package format 3.0 (native)
  
  [ Cyril Brulebois ]
  * Add Build-Depends/Build-Depends-Indep search example (closes: #339380)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 28 Aug 2010 20:52:28 +0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: dctrl-tools
 Section: utils
 Priority: optional
-Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
-XSBC-Original-Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
-Origin: maemo
-Uploaders: Antti-Juhani Kaijanaho <ajk@debian.org>,
-           Jon Bernard <jbernard@debian.org>
+Maintainer: dctrl-tools developers <dctrl-tools-devel@lists.alioth.debian.org>
+Uploaders: Antti-Juhani Kaijanaho <ajk@debian.org>
 Standards-Version: 3.9.1
-Build-Depends: build-essential, ed, gawk, diff, gettext (>= 0.11-0), gcc (>= 3.0), maemo-optify
-Vcs-Browser: http://gitorious.org/maemo-pkg/dctrl-tools
-Vcs-Git: git@gitorious.org:maemo-pkg/dctrl-tools.git
+Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0), debhelper (>= 8)
+Vcs-Git: git://git.debian.org/git/collab-maint/dctrl-tools.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/dctrl-tools.git;a=summary
 
 Package: dctrl-tools
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: apt, debtags
 Conflicts: grep-dctrl
 Replaces: grep-dctrl

## dctrl-tools 2.18ubuntu1

=== debian/changelog ===
dctrl-tools (2.18ubuntu1) oneiric; urgency=low

  * lib/msg.h, grep-dctrl/rc.c, join-dctrl/join-dctrl.c: Pass the arguments to
    message() in the right order (fixes FTBFS; lp: #774391, Closes: #624707)

 -- Michael Bienia <geser@ubuntu.com>  Mon, 02 May 2011 08:25:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dctrl-tools
 Section: utils
 Priority: optional
-Maintainer: dctrl-tools developers <dctrl-tools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: dctrl-tools developers <dctrl-tools-devel@lists.alioth.debian.org>
 Uploaders: Antti-Juhani Kaijanaho <ajk@debian.org>
 Standards-Version: 3.9.1
 Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0), debhelper (>= 8)

## dctrl-tools 2.19

=== debian/changelog ===
dctrl-tools (2.19) unstable; urgency=low

  [ David Prévot ]
  * Stylish fix to grep-dctrl(1) manpage (closes: #325169)
  * Makes manpages translatable (using po4a), closes: #615877
  * Fix example in manpage (closes: #589827)
  * Update French runtime translation (closes: #628013)
  * Initial French manpages translation
  
  [ Antti-Juhani Kaijanaho ]
  * Merge 2.18ubuntu1
  * debian/control [Standards-Version]: Updated to 3.6.2 (no changes needed).
  * grep-dctrl/grep-dctrl.c: Output a stanza separator unconditionally.
    Closes: #525525 (do not separate stanzas with empty lines when showing
                     Description field only)
    [Reported by Stefano Zacchiroli <zack@debian.org>]
  * lib/paragraph.[ch], grep-dctrl/grep-dctrl.c: Use the actual spelling of
    field names in output, instead of the command line spelling.
    Closes: #209134 (keyword case shouldn't be influenced by -s)
    Reported by Dan Jacobson <jidanni@jidanni.org>.
  * grep-dctrl/grep-dctrl.c: Clean up some dead code.
  * grep-dctrl: Rewrite predicate code to use a tree instead of a bytecode.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 20 Oct 2011 09:56:38 +0300

=== debian/rules ===
#!/usr/bin/make -f
# Written by Antti-Juhani Kaijanaho <ajk@debian.org>.  
# You may treat this file as if it were in the public domain.

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=/usr sysconfdir=/etc
override_dh_auto_install:
	dh_auto_install -- prefix=/usr sysconfdir=/etc

## dctrl-tools 2.20

=== debian/changelog ===
dctrl-tools (2.20) unstable; urgency=low

  * Improve the testsuite.
  * tester.sh: Do not output .differr if it wasn't constructed.
  * grep-dctrl: Make a more modest fix for #525525 in adding an --ensure-dctrl
    option that makes sure that the output (in the absence of the -n switch)
    is in dctrl format.
    - Later on we may want to make --ensure-dctrl the default.  In anticipation,
      a --compat option has been added that countermands any --ensure-dctrl.
  * grep-dctrl: With -c, output even a zero count and exit successfully.
    Closes: #641255 (grep-dctrl -c does not print out 0 when it should)
    [ Reported by Antti-Juhani Kaijanaho <ajk@debian.org> ]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 27 Nov 2011 21:23:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: dctrl-tools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: dctrl-tools developers <dctrl-tools-devel@lists.alioth.debian.org>
+Maintainer: dctrl-tools developers <dctrl-tools-devel@lists.alioth.debian.org>
 Uploaders: Antti-Juhani Kaijanaho <ajk@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0), debhelper (>= 8)
+Standards-Version: 3.9.2
+Build-Depends: gettext (>= 0.11-0), gcc (>= 3.0), debhelper (>= 8), po4a (>= 0.40)
 Vcs-Git: git://git.debian.org/git/collab-maint/dctrl-tools.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dctrl-tools.git;a=summary

## dctrl-tools 2.20.1

=== debian/changelog ===
dctrl-tools (2.20.1) unstable; urgency=low

  [ Antti-Juhani Kaijanaho ]
  * Handle multiple instances of the same field gracefully.  No string changes.
    Closes: #652034 (reported by myself)

  [ David Prévot ]
  * Man pages order in SEE ALSO, thanks to Chris Leick (closes: #651219).
  * Consistently avoid use of CS vocabulary.
  * Keep previous msgids of translated messages.
  * Handle two missing translatable strings.
  * Use of Policy compliant relations.
  * Runtime strings review by Justin B Rye.

  [ Program translations ]
  * Catalan, by Jordi Mallach (closes: #652083).
  * English – United Kingdom, by Jeff Bailes.
  * French, by David Prévot.
  * German, by Gerfried Fuchs.
  * Spanish, by Javier Fernández-Sanguino (closes: #651409).
  * Russian, by Yuri Kozlov (closes: #651444).
  * Finnish, by Antti-Juhani Kaijanaho.

  [ Documentation translations ]
  * French, by David Prévot.
  * German, by Chris Leick (closes: #651218, #651706).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 18 Dec 2011 19:30:36 +0200
